Множественные уязвимости в PowerNews

Дата публикации:
11.02.2008
Дата изменения:
07.04.2008
Всего просмотров:
1104
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PowerNews 2.x
Уязвимые версии: PowerNews 2.5.6, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение, выполнить произвольные SQL команды, получить доступ к важным данным и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "page" и "subpage" в сценариях categories.inc.php, news.inc.php, other.inc.php, permissions.inc.php, templates.inc.php и users.inc.php (в каталоге pnadmin). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "page" в сценарии pnadmin/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для успешной эксплуатации уязвимости требуются привилегии администратора.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "pnlogin_nickname" в сценарии pnadmin/login.inc.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP. 4. Уязвимость существует из-за недостаточной обработки входных данных в параметре "loginerror" в сценарии pnadmin/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

5. Уязвимость существует из-за того, что приложение возвращает различные ответы в зависимости от правильности введенного имени пользователя. Злоумышленник может получить данные о наличии учетной записи на системе.

URL производителя: www.powerscripts.org/projects-1.html

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:


07.04.2008
Изменена секция "Решение".

или введите имя

CAPTCHA